Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- z
- ~

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends

### - g -

- get_centroids() : faiss::ProductQuantizer
- get_ids() : faiss::HeapArray< C >
- get_typename() : faiss::Index
- get_val() : faiss::HeapArray< C >
- getAlloc() : faiss::gpu::StackDeviceMemory::Stack
- getBitsPerCode() : faiss::gpu::GpuIndexIVFPQ
- getCentroidsPerSubQuantizer() : faiss::gpu::GpuIndexIVFPQ
- getDevice() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory
- getDim() : faiss::gpu::IVFBase
- getFloat16LookupTables() : faiss::gpu::GpuIndexIVFPQ
- getGpuData() : faiss::gpu::GpuIndexFlat
- getHighWaterCudaMalloc() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory , faiss::gpu::StackDeviceMemory::Stack
- getIndicesOptions() : faiss::gpu::GpuIndexIVF
- getListCodes() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFPQ
- getListIndices() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFBase
- getListLength() : faiss::gpu::GpuIndexIVFPQ , faiss::gpu::IVFBase
- getListVectors() : faiss::gpu::IVFFlat
- getMemory() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory
- getMinPagingSize() : faiss::gpu::GpuIndexFlat
- getNumLists() : faiss::gpu::GpuIndexIVF , faiss::gpu::IVFBase
- getNumProbes() : faiss::gpu::GpuIndexIVF
- getNumSubQuantizers() : faiss::gpu::GpuIndexIVFPQ
- getNumVecs() : faiss::gpu::GpuIndexFlat
- getPQCentroids() : faiss::gpu::IVFPQ
- getPrecomputedCodes() : faiss::gpu::GpuIndexIVFPQ
- getSize() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits > , faiss::gpu::FlatIndex
- getSizeAvailable() : faiss::gpu::DeviceMemory , faiss::gpu::StackDeviceMemory , faiss::gpu::StackDeviceMemory::Stack
- getSizeInBytes() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- getStride() : faiss::gpu::Tensor< T, Dim, Contig, IndexT, PtrTraits >
- getUseFloat16() : faiss::gpu::GpuIndexFlat
- getUseFloat16CoarseQuantizer() : faiss::gpu::GpuIndexIVF
- getVectorsFloat32Copy() : faiss::gpu::FlatIndex
- getVectorsFloat32Ref() : faiss::gpu::FlatIndex
- GpuIndexFlat() : faiss::gpu::GpuIndexFlat
- GpuIndexFlatIP() : faiss::gpu::GpuIndexFlatIP
- GpuIndexFlatL2() : faiss::gpu::GpuIndexFlatL2
- GpuIndexIVFFlat() : faiss::gpu::GpuIndexIVFFlat
- GpuIndexIVFPQ() : faiss::gpu::GpuIndexIVFPQ
- grow() : faiss::SemiSortedArray< T >